GET /v1/workflows/{id}/trigger-info
Get trigger info (e.g. Pipedream email address) for a workflow

Path Parameters

id string required path
Workflow ID

Responses

200 OK
application/json
code integer
data object
emailAddress string
Pipedream-generated email for email triggers
paymentLinkUrl string
AnySpend payment link URL
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/workflows/string/trigger-info' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/trigger-info', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflows/string/trigger-info', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflows/string/trigger-info", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 123,  "data": {    "emailAddress": "<string>",    "paymentLinkUrl": "<string>"  },  "message": "<string>",  "requestId": "<string>"}
Ask a question... ⌘I